call_queue Struct Reference

## Data Fields

Tcl_Event | ev
VALUE(* | func )()
int | argc
VALUE * | argv
VALUE | interp
int * | done
int | safe_level
VALUE | result
VALUE | thread

## Detailed Description

Definition at line 423 of file tcltklib.c.

## Field Documentation

int call_queue::argc

Definition at line 426 of file tcltklib.c.

Referenced by call_queue_handler(), call_queue_mark(), callq_safelevel_handler(), and tk_funcall().

VALUE* call_queue::argv

Definition at line 427 of file tcltklib.c.

Referenced by call_queue_handler(), call_queue_mark(), callq_safelevel_handler(), and tk_funcall().

int* call_queue::done

Definition at line 429 of file tcltklib.c.

Referenced by call_queue_handler(), and tk_funcall().

Tcl_Event call_queue::ev

Definition at line 424 of file tcltklib.c.

Referenced by tk_funcall().

VALUE(* call_queue::func)()

Definition at line 425 of file tcltklib.c.

Referenced by call_queue_handler(), callq_safelevel_handler(), and tk_funcall().

VALUE call_queue::interp

Definition at line 428 of file tcltklib.c.

Referenced by call_queue_handler(), call_queue_mark(), callq_safelevel_handler(), and tk_funcall().

VALUE call_queue::result

Definition at line 431 of file tcltklib.c.

Referenced by call_queue_handler(), call_queue_mark(), and tk_funcall().

int call_queue::safe_level

Definition at line 430 of file tcltklib.c.

Referenced by call_queue_handler(), callq_safelevel_handler(), and tk_funcall().

VALUE call_queue::thread

Definition at line 432 of file tcltklib.c.

Referenced by call_queue_handler(), call_queue_mark(), and tk_funcall().

The documentation for this struct was generated from the following file:

- ext/tk/tcltklib.c